Package ghidra.app.util.bin.format.macos.rm

# Class ResourceHeader

java.lang.Object
ghidra.app.util.bin.format.macos.asd.Entry
ghidra.app.util.bin.format.macos.rm.ResourceHeader

All Implemented Interfaces:
  `StructConverter`

public class ResourceHeader extends Entry implements StructConverter

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceHeader(BinaryReader reader, EntryDescriptor entry)`
  `ResourceHeader(ByteProvider provider)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ResourceMap`
  `getMap()`
  `int`
  `getResourceDataLength()`
  Returns the length of the resource data.
  `int`
  `getResourceDataOffset()`
  Returns the offset from the beginning of resource fork to resource data.
  `int`
  `getResourceMapLength()`
  Returns the length of the resource map.
  `int`
  `getResourceMapOffset()`
  Returns the offset from the beginning of resource fork to resource map.
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class ghidra.app.util.bin.format.macos.asd.Entry

  `getEntryDescriptor`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResourceHeader

    public ResourceHeader(ByteProvider provider) throws IOException
    Throws:
      `IOException`

  - ### ResourceHeader

    public ResourceHeader(BinaryReader reader, EntryDescriptor entry) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getResourceMapOffset

    public int getResourceMapOffset()
    Returns the offset from the beginning of resource fork to resource map.
    Returns:
      offset to resource map

  - ### getResourceMapLength

    public int getResourceMapLength()
    Returns the length of the resource map.
    Returns:
      the length of the resource map

  - ### getResourceDataOffset

    public int getResourceDataOffset()
    Returns the offset from the beginning of resource fork to resource data.
    Returns:
      offset to resource data

  - ### getResourceDataLength

    public int getResourceDataLength()
    Returns the length of the resource data.
    Returns:
      the length of the resource data

  - ### getMap

    public ResourceMap getMap()

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`